# Copyright (c) 1991-2003 Rational Software Corporation. All rights
# reserved.
# 
# Rational, the Rational logo, ObjecTime (and logo) are registered
# trademarks of Rational Software Corporation.
# 
# The placing of the copyright notices on Rational source code is not
# intended to mean that they are published works, but are included in the
# event of inadvertent publication. The source code of Rational contains
# trade secrets and other valuable confidential information of Rational
# Software Corporation. Rational Software Corporation and its licensors
# retain ownership to Rational Products in both source and object code
# format, and related documentation and all rights therein including
# copyrights, patents and trade secrets.
# 
# 
# U.S. Government Rights
# 
# Use, duplication, or disclosure by the U.S. Government is subject to
# restrictions set forth in the applicable Rational License Agreement
# and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS
# 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,
# or FAR 52.227-14, as applicable.
# 
# Unless otherwise agreed to in writing, use of Rational products is
# governed by the Rational Product License Agreement provided with
# the product.

if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$wind_base        = $ENV{'WIND_BASE'};
	$wind_host_type   = 'x86-win32';
	$ENV{'PATH'}      = "$wind_base/../gnu/3.3.2-vxworks60/x86-win32/bin;$wind_base/host/$wind_host_type/bin;$ENV{'PATH'}";
    }
    else
    {
	$rosert_home      = $ENV{'ROSERT_HOME'};
	chomp( $host      = `$rosert_home/bin/machineType` );

	$wind_base        = "$OS_HOME/wrs/Tornado_AE";
	if( $host eq 'sun5' )
	{
	    $wind_host_type   = 'sun4-solaris2';
	}

	$ENV{'WIND_BASE'} = "$wind_base";
	$ENV{'PATH'}      = "$wind_base/host/$wind_host_type/bin:$ENV{'PATH'}";

	if( ! $ENV{'LD_LIBRARY_PATH'} )
	{
	    $ENV{'LD_LIBRARY_PATH'} = "$wind_base/host/$wind_host_type/lib";
	}
	else
	{
	    $ENV{'LD_LIBRARY_PATH'} = "$ENV{'LD_LIBRARY_PATH'}:"
				    . "$wind_base/host/$wind_host_type/lib";
	}
    }

    $ENV{'WIND_HOST_TYPE'} = "$wind_host_type";
}

$preprocessor = "ccppc -DPRAGMA -E -P >MANIFEST.i";


$target_base = 'vxWorks60';


$supported = 'Yes';
